[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TBitmapHandleType

Represents handle types used for Bitmaps.

## Declaration

Source position: graphics.pp line 1208

`type TBitmapHandleType = (`
`bmDIB,` |  | Device-Independent Bitmap handle.
`bmDDB` |  | Device-Dependent Bitmap handle.
`);`

## Description

TBitmapHandleType is an enumerated type with values that represent handle types available for Bitmaps. On Windows platforms, the handle may represent two distinctly different storage mechanisms:

- DIB (Device-Independent Bitmap)
- DDB (Device-Dependent Bitmap)

The handle type indicates the storage format and content for the Bitmap.

TBitmapHandleType is the type used to implement the HandleType property in TCustomBitmap and TSharedCustomBitmap.

## See also

TSharedCustomBitmap.HandleType |  | HandleType the type of Bitmap Handle that has been allocated.